package io.renren.modules.test.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 电厂大屏数据（第一页）
 *
 * @author: Wang Zi Wen
 * @email: wangggziwen@163.com
 * @datetime: 2022/8/30 10:33
 */
@Data
@TableName("T_ELEC_DASHBOARD_DATA_SHEET1")
@KeySequence(value = "SEQ_T_ELEC_DASHBOARD_DATA_SHEET1")
public class ElecDashboardData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.INPUT)
    private Integer id;

    private String gtg1PowerGenLevel;   // 1#GTG 发电水平
    private String gtg1Efficiency;      // 1#GTG 效率（百分比）
    private String gtg2PowerGenLevel;   // 2#GTG 发电水平
    private String gtg2Efficiency;      // 2#GTG 效率（百分比）
    private String gtg3PowerGenLevel;   // 3#GTG 发电水平
    private String gtg3Efficiency;      // 3#GTG效 率（百分比）
    private String stgPowerGenLevel;    // STG 发电水平
    private String stgEfficiency;       // STG 效率（百分比）
    private String totalPowerGen;       // 总发电量

    private String steamHhp; // 蒸汽 HHP
    private String steamHp;  // 蒸汽 HP
    private String steamMp;  // 蒸汽 MP
    private String steamLp;  // 蒸汽 LP

    private String gasRealTime; // 瞬时量
    private String gasLeft;     // 日剩余量
    private String gasUsed;     // 日消耗量（实际）
    private String gasPlan;     // 日消耗量（计划）
    private String gasElec;     // 电厂
    private String gasSynGas;   // 合成气
    private String gasU2;       // U2
    private String gasStyrene;  // 苯乙烯

    private String elecPowerGen;    // 昨日发电量
    private String elecPowerSwitch; // 倒电量
    private String elecUsed;        // 每日用电量
    private String elecDiff;        // 每日峰谷差
    private String elecBycUsed;     // BYC用电量
    private String elecBocUsed;     // BOC用电量

    private String carbonUsed;      // 每日煤耗量
    private String carbonRealTime;  // 瞬时煤耗量

    private String sub;             // SUB
    private String subFurnaceLoad;  // SUB开工锅炉负荷（百分比）

    private String hhpPphhp;    // HHP PPHHP
    private String hhpAaae;     // HHP AA/AE
    private String hhpGaa;      // HHP GAA
    private String hhpSyn;      // HHP SYN
    private String hhpP3802;    // HHP P3802

    private String hpLpg;       // HP LPG（百分比）
    private String hpSub;       // HP SUB（百分比）
    private String hpNg;        // HP NG
    private String hpJ1501;     // HP J1501（百分比）
    private String hpJ1504In;   // HP J1504入
    private String hpJ1504Out;  // HP J1504出
    private String hpUser;      // HP HP用户

    private String mpNcipMp;    // MP NCI MP
    private String mp150511;    // MP 15051_2（百分比）
    private String mp150512;    // MP 15051_2（百分比）
    private String mpPpMp;      // MP PPMP
    private String mpP9801In;   // MP P9801入
    private String mpP9801Out;  // MP P9801出
    private String mpJ1502;     // MP J1502（百分比）
    private String mpUser;      // MP MP用户

    private String lpPpLp;      // LP PP LP
    private String lpEmpty;     // LP防空
    private String lpMpLetdown; // LP MP LETDOWN
    private String lpJ1509;     // LP J1509（百分比）
    private String lpJ1503;     // LP J1503（百分比）
    private String lpLdpeTs;    // LP LDPE TS
    private String lpLdpeDm;    // LP LDPE DM
    private String lpUser;      // LP用户

    private String bccSyn;  // BCC SYN
    private String bccYpc;  // BCC YPC

    @Override
    public String toString() {
        return "gtg1PowerGenLevel:" + this.gtg1PowerGenLevel + "\n" +
                "gtg1Efficiency:" + this.gtg1Efficiency + "\n" +
                "gtg2PowerGenLevel:" + this.gtg2PowerGenLevel + "\n" +
                "gtg2Efficiency:" + this.gtg2Efficiency + "\n" +
                "gtg3PowerGenLevel:" + this.gtg3PowerGenLevel + "\n" +
                "gtg3Efficiency:" + this.gtg3Efficiency + "\n" +
                "stgPowerGenLevel:" + this.stgPowerGenLevel + "\n" +
                "stgEfficiency:" + this.stgEfficiency + "\n" +
                "totalPowerGen:" + this.totalPowerGen + "\n" +
                "steamHhp:" + this.steamHhp + "\n" +
                "steamHp:" + this.steamHp + "\n" +
                "steamMp:" + this.steamMp + "\n" +
                "steamLp:" + this.steamLp + "\n" +
                "gasRealTime:" + this.gasRealTime + "\n" +
                "gasLeft:" + this.gasLeft + "\n" +
                "gasUsed:" + this.gasUsed + "\n" +
                "gasPlan:" + this.gasPlan + "\n" +
                "gasElec:" + this.gasElec + "\n" +
                "gasSynGas:" + this.gasSynGas + "\n" +
                "gasU2:" + this.gasU2 + "\n" +
                "gasStyrene:" + this.gasStyrene + "\n" +
                "elecPowerGen:" + this.elecPowerGen + "\n" +
                "elecPowerSwitch:" + this.elecPowerSwitch + "\n" +
                "elecUsed:" + this.elecUsed + "\n" +
                "elecDiff:" + this.elecDiff + "\n" +
                "elecBycUsed:" + this.elecBycUsed + "\n" +
                "elecBocUsed:" + this.elecBocUsed + "\n" +
                "carbonUsed:" + this.carbonUsed + "\n" +
                "carbonRealTime:" + this.carbonRealTime + "\n" +
                "sub:" + this.sub + "\n" +
                "subFurnaceLoad:" + this.subFurnaceLoad + "\n" +
                "hhpPphhp:" + this.hhpPphhp + "\n" +
                "hhpAaae:" + this.hhpAaae + "\n" +
                "hhpGaa:" + this.hhpGaa + "\n" +
                "hhpSyn:" + this.hhpSyn + "\n" +
                "hhpP3802:" + this.hhpP3802 + "\n" +
                "hpLpg:" + this.hpLpg + "\n" +
                "hpSub:" + this.hpSub + "\n" +
                "hpNg:" + this.hpNg + "\n" +
                "hpJ1501:" + this.hpJ1501 + "\n" +
                "hpJ1504In:" + this.hpJ1504In + "\n" +
                "hpJ1504Out:" + this.hpJ1504Out + "\n" +
                "hpUser:" + this.hpUser + "\n" +
                "mpNcipmp:" + this.mpNcipMp + "\n" +
                "mp150511:" + this.mp150511 + "\n" +
                "mp150512:" + this.mp150512 + "\n" +
                "mpPpmp:" + this.mpPpMp + "\n" +
                "mpP9801In:" + this.mpP9801In + "\n" +
                "mpP9801Out:" + this.mpP9801Out + "\n" +
                "mpJ1502:" + this.mpJ1502 + "\n" +
                "mpUser:" + this.mpUser + "\n" +
                "lpPpLp:" + this.lpPpLp + "\n" +
                "lpEmpty:" + this.lpEmpty + "\n" +
                "lpMpLetdown:" + this.lpMpLetdown + "\n" +
                "lpJ1509:" + this.lpJ1509 + "\n" +
                "lpJ1503:" + this.lpJ1503 + "\n" +
                "lpLdpeTs:" + this.lpLdpeTs + "\n" +
                "lpLdpeDm:" + this.lpLdpeDm + "\n" +
                "lpUser:" + this.lpUser + "\n" +
                "bccSyn:" + this.bccSyn + "\n" +
                "bccYpc:" + this.bccYpc + "\n" ;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getGtg1PowerGenLevel() {
        return gtg1PowerGenLevel;
    }

    public void setGtg1PowerGenLevel(String gtg1PowerGenLevel) {
        this.gtg1PowerGenLevel = gtg1PowerGenLevel;
    }

    public String getGtg1Efficiency() {
        return gtg1Efficiency;
    }

    public void setGtg1Efficiency(String gtg1Efficiency) {
        this.gtg1Efficiency = gtg1Efficiency;
    }

    public String getGtg2PowerGenLevel() {
        return gtg2PowerGenLevel;
    }

    public void setGtg2PowerGenLevel(String gtg2PowerGenLevel) {
        this.gtg2PowerGenLevel = gtg2PowerGenLevel;
    }

    public String getGtg2Efficiency() {
        return gtg2Efficiency;
    }

    public void setGtg2Efficiency(String gtg2Efficiency) {
        this.gtg2Efficiency = gtg2Efficiency;
    }

    public String getGtg3PowerGenLevel() {
        return gtg3PowerGenLevel;
    }

    public void setGtg3PowerGenLevel(String gtg3PowerGenLevel) {
        this.gtg3PowerGenLevel = gtg3PowerGenLevel;
    }

    public String getGtg3Efficiency() {
        return gtg3Efficiency;
    }

    public void setGtg3Efficiency(String gtg3Efficiency) {
        this.gtg3Efficiency = gtg3Efficiency;
    }

    public String getStgPowerGenLevel() {
        return stgPowerGenLevel;
    }

    public void setStgPowerGenLevel(String stgPowerGenLevel) {
        this.stgPowerGenLevel = stgPowerGenLevel;
    }

    public String getStgEfficiency() {
        return stgEfficiency;
    }

    public void setStgEfficiency(String stgEfficiency) {
        this.stgEfficiency = stgEfficiency;
    }

    public String getTotalPowerGen() {
        return totalPowerGen;
    }

    public void setTotalPowerGen(String totalPowerGen) {
        this.totalPowerGen = totalPowerGen;
    }

    public String getSteamHhp() {
        return steamHhp;
    }

    public void setSteamHhp(String steamHhp) {
        this.steamHhp = steamHhp;
    }

    public String getSteamHp() {
        return steamHp;
    }

    public void setSteamHp(String steamHp) {
        this.steamHp = steamHp;
    }

    public String getSteamMp() {
        return steamMp;
    }

    public void setSteamMp(String steamMp) {
        this.steamMp = steamMp;
    }

    public String getSteamLp() {
        return steamLp;
    }

    public void setSteamLp(String steamLp) {
        this.steamLp = steamLp;
    }

    public String getGasRealTime() {
        return gasRealTime;
    }

    public void setGasRealTime(String gasRealTime) {
        this.gasRealTime = gasRealTime;
    }

    public String getGasLeft() {
        return gasLeft;
    }

    public void setGasLeft(String gasLeft) {
        this.gasLeft = gasLeft;
    }

    public String getGasUsed() {
        return gasUsed;
    }

    public void setGasUsed(String gasUsed) {
        this.gasUsed = gasUsed;
    }

    public String getGasPlan() {
        return gasPlan;
    }

    public void setGasPlan(String gasPlan) {
        this.gasPlan = gasPlan;
    }

    public String getGasElec() {
        return gasElec;
    }

    public void setGasElec(String gasElec) {
        this.gasElec = gasElec;
    }

    public String getGasSynGas() {
        return gasSynGas;
    }

    public void setGasSynGas(String gasSynGas) {
        this.gasSynGas = gasSynGas;
    }

    public String getGasU2() {
        return gasU2;
    }

    public void setGasU2(String gasU2) {
        this.gasU2 = gasU2;
    }

    public String getGasStyrene() {
        return gasStyrene;
    }

    public void setGasStyrene(String gasStyrene) {
        this.gasStyrene = gasStyrene;
    }

    public String getElecPowerGen() {
        return elecPowerGen;
    }

    public void setElecPowerGen(String elecPowerGen) {
        this.elecPowerGen = elecPowerGen;
    }

    public String getElecPowerSwitch() {
        return elecPowerSwitch;
    }

    public void setElecPowerSwitch(String elecPowerSwitch) {
        this.elecPowerSwitch = elecPowerSwitch;
    }

    public String getElecUsed() {
        return elecUsed;
    }

    public void setElecUsed(String elecUsed) {
        this.elecUsed = elecUsed;
    }

    public String getElecDiff() {
        return elecDiff;
    }

    public void setElecDiff(String elecDiff) {
        this.elecDiff = elecDiff;
    }

    public String getElecBycUsed() {
        return elecBycUsed;
    }

    public void setElecBycUsed(String elecBycUsed) {
        this.elecBycUsed = elecBycUsed;
    }

    public String getElecBocUsed() {
        return elecBocUsed;
    }

    public void setElecBocUsed(String elecBocUsed) {
        this.elecBocUsed = elecBocUsed;
    }

    public String getCarbonUsed() {
        return carbonUsed;
    }

    public void setCarbonUsed(String carbonUsed) {
        this.carbonUsed = carbonUsed;
    }

    public String getCarbonRealTime() {
        return carbonRealTime;
    }

    public void setCarbonRealTime(String carbonRealTime) {
        this.carbonRealTime = carbonRealTime;
    }

    public String getSub() {
        return sub;
    }

    public void setSub(String sub) {
        this.sub = sub;
    }

    public String getSubFurnaceLoad() {
        return subFurnaceLoad;
    }

    public void setSubFurnaceLoad(String subFurnaceLoad) {
        this.subFurnaceLoad = subFurnaceLoad;
    }

    public String getHhpPphhp() {
        return hhpPphhp;
    }

    public void setHhpPphhp(String hhpPphhp) {
        this.hhpPphhp = hhpPphhp;
    }

    public String getHhpAaae() {
        return hhpAaae;
    }

    public void setHhpAaae(String hhpAaae) {
        this.hhpAaae = hhpAaae;
    }

    public String getHhpGaa() {
        return hhpGaa;
    }

    public void setHhpGaa(String hhpGaa) {
        this.hhpGaa = hhpGaa;
    }

    public String getHhpSyn() {
        return hhpSyn;
    }

    public void setHhpSyn(String hhpSyn) {
        this.hhpSyn = hhpSyn;
    }

    public String getHhpP3802() {
        return hhpP3802;
    }

    public void setHhpP3802(String hhpP3802) {
        this.hhpP3802 = hhpP3802;
    }

    public String getHpLpg() {
        return hpLpg;
    }

    public void setHpLpg(String hpLpg) {
        this.hpLpg = hpLpg;
    }

    public String getHpSub() {
        return hpSub;
    }

    public void setHpSub(String hpSub) {
        this.hpSub = hpSub;
    }

    public String getHpNg() {
        return hpNg;
    }

    public void setHpNg(String hpNg) {
        this.hpNg = hpNg;
    }

    public String getHpJ1501() {
        return hpJ1501;
    }

    public void setHpJ1501(String hpJ1501) {
        this.hpJ1501 = hpJ1501;
    }

    public String getHpJ1504In() {
        return hpJ1504In;
    }

    public void setHpJ1504In(String hpJ1504In) {
        this.hpJ1504In = hpJ1504In;
    }

    public String getHpJ1504Out() {
        return hpJ1504Out;
    }

    public void setHpJ1504Out(String hpJ1504Out) {
        this.hpJ1504Out = hpJ1504Out;
    }

    public String getHpUser() {
        return hpUser;
    }

    public void setHpUser(String hpUser) {
        this.hpUser = hpUser;
    }

    public String getMpNcipMp() {
        return mpNcipMp;
    }

    public void setMpNcipMp(String mpNcipMp) {
        this.mpNcipMp = mpNcipMp;
    }

    public String getMp150511() {
        return mp150511;
    }

    public void setMp150511(String mp150511) {
        this.mp150511 = mp150511;
    }

    public String getMp150512() {
        return mp150512;
    }

    public void setMp150512(String mp150512) {
        this.mp150512 = mp150512;
    }

    public String getMpPpMp() {
        return mpPpMp;
    }

    public void setMpPpMp(String mpPpMp) {
        this.mpPpMp = mpPpMp;
    }

    public String getMpP9801In() {
        return mpP9801In;
    }

    public void setMpP9801In(String mpP9801In) {
        this.mpP9801In = mpP9801In;
    }

    public String getMpP9801Out() {
        return mpP9801Out;
    }

    public void setMpP9801Out(String mpP9801Out) {
        this.mpP9801Out = mpP9801Out;
    }

    public String getMpJ1502() {
        return mpJ1502;
    }

    public void setMpJ1502(String mpJ1502) {
        this.mpJ1502 = mpJ1502;
    }

    public String getMpUser() {
        return mpUser;
    }

    public void setMpUser(String mpUser) {
        this.mpUser = mpUser;
    }

    public String getLpPpLp() {
        return lpPpLp;
    }

    public void setLpPpLp(String lpPpLp) {
        this.lpPpLp = lpPpLp;
    }

    public String getLpEmpty() {
        return lpEmpty;
    }

    public void setLpEmpty(String lpEmpty) {
        this.lpEmpty = lpEmpty;
    }

    public String getLpMpLetdown() {
        return lpMpLetdown;
    }

    public void setLpMpLetdown(String lpMpLetdown) {
        this.lpMpLetdown = lpMpLetdown;
    }

    public String getLpJ1509() {
        return lpJ1509;
    }

    public void setLpJ1509(String lpJ1509) {
        this.lpJ1509 = lpJ1509;
    }

    public String getLpJ1503() {
        return lpJ1503;
    }

    public void setLpJ1503(String lpJ1503) {
        this.lpJ1503 = lpJ1503;
    }

    public String getLpLdpeTs() {
        return lpLdpeTs;
    }

    public void setLpLdpeTs(String lpLdpeTs) {
        this.lpLdpeTs = lpLdpeTs;
    }

    public String getLpLdpeDm() {
        return lpLdpeDm;
    }

    public void setLpLdpeDm(String lpLdpeDm) {
        this.lpLdpeDm = lpLdpeDm;
    }

    public String getLpUser() {
        return lpUser;
    }

    public void setLpUser(String lpUser) {
        this.lpUser = lpUser;
    }
}